DISPLAY
function()
    return string.format("%s\n%s\n%s", aura_env.map, aura_env.zone, aura_env.area) 
end

CHAT_MSG_SYSTEM
function(_,msg)
	if string.match(msg, "Zone:") then
    aura_env.map = msg:match("Map: %d+ %(([%a%d%s'$%-:]+)%)")
    aura_env.zone = msg:match("Zone: %d+ %(([%a%d%s'$%-:]+)%)")
    aura_env.area = msg:match("Area: %d+ %(([%a%d%s'$%-:]+)%)")
      print(aura_env.map, aura_env.zone, aura_env.area)
    end  
end

INIT
aura_env.map = ""
aura_env.zone = ""
aura_env.area = ""